package cn.superdesk.uniorder.service.common.impl;

import cn.superdesk.uniorder.dao.entity.order.OrderSourceType;
import cn.superdesk.uniorder.dao.mapper.order.OrderSourceTypeMapper;
import cn.superdesk.uniorder.service.common.OrderSourceTypeService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class OrderSourceTypeServiceImpl implements OrderSourceTypeService {

    @Autowired
    OrderSourceTypeMapper orderSourceTypeMapper;


    @Override
    public int insertSelective(OrderSourceType t) {

        return orderSourceTypeMapper.insert(t);
    }

    @Override
    public int updateByPrimaryKeySelective(OrderSourceType t) {

        return orderSourceTypeMapper.updateByPrimaryKeySelective(t);
    }

    @Override
    public void deleteObj(Long id) {

        orderSourceTypeMapper.deleteByPrimaryKey(id);
    }

    @Override
    public OrderSourceType findById(Long id) {

        return orderSourceTypeMapper.selectByPrimaryKey(id);
    }


    @Override
    public List<OrderSourceType> findAll(Map<String, Object> queryMap) {

        return orderSourceTypeMapper.findAll(queryMap);
    }

    @Override
    public PageInfo<OrderSourceType> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {

        return null;
    }

}
